Package twisted :: Package internet :: Module interfaces :: Class IConnector |
[frames | no frames]

## Class IConnector

    Interface --+
                |
               IConnector

Object used to interface between connections and protocols.

Each IConnector manages one connection.

Method Summary
| ``connect`(self)` Try to connect to remote address.
| ``disconnect`(self)` Disconnect regardless of the connection state.
| ``getDestination`(self)` Return destination this will try to connect to.
| ``stopConnecting`(self)` Stop attempting to connect.

Method Details

### connect(self) Try to connect to remote address.

### disconnect(self) Disconnect regardless of the connection state. If we are connected, disconnect, if we are trying to connect, stop trying.

### getDestination(self) Return destination this will try to connect to. This can be one of: TCP -- ('INET', host, port) UNIX -- ('UNIX', address) SSL -- ('SSL', host, port)

### stopConnecting(self) Stop attempting to connect.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:03 2003 | http://epydoc.sf.net